@import url('https://fonts.googleapis.com/css2?family=Archivo+Black&family=Boogaloo&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');

:root {
  --primary: #d80f05;
  --bg: #f3f4f6;
}

body {
  font-family: 'Poppins', sans-serif;
  background: var(--bg);
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
}

.img {
    width: 140px;
    margin: 0 auto;
}

.auth-container {
  background: white;
  padding: 2rem;
  border-radius: 12px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.1);
  width: 100%;
  height: 350px;
  max-width: 400px;
}

.auth-box {
  display: none; /* Esconde por padrão */
  flex-direction: column;
  animation: fadeIn 0.4s ease;
}

.auth-box.active {
  display: flex; /* Mostra apenas o ativo */
}

h2 { color: #1f2937; text-align: center; font-size: 18px;}

form {
    display: contents;
}

input {
  padding: 12px;
  margin-bottom: 1rem;
  border: 1px solid #d1d5db;
  border-radius: 8px;
  outline: none;
  font-family: 'Poppins', sans-serif;
}

input:focus { border-color: var(--primary); box-shadow: 0 0 0 2px rgba(99, 102, 241, 0.2); }

.btn-main {
  background: var(--primary);
  color: white;
  padding: 12px;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-weight: 600;
  transition: opacity 0.2s;
}

.btn-main:hover { opacity: 0.9; }

p { text-align: center; font-size: 14px; color: #6b7280; margin-top: 1rem; }

a { color: var(--primary); text-decoration: none; font-weight: 500; }

@keyframes fadeIn {
  from { opacity: 0; transform: translateY(10px); }
  to { opacity: 1; transform: translateY(0); }
}

    
    .cor-page-1 { background: #d80f05; }
    .cor-page-2 { background: #a20a12; }
    .cor-page-3 { background: #fec92b; }
    .cor-page-4 { background: #fdaaa6; }
    .color-page-1 { color: #d80f05; }
    .color-page-2 { color: #a20a12; }
    .color-page-3 { color: #fec92b; }
    .color-page-4 { color: #fdaaa6; }
    
    .disabled-link {
      pointer-events: none; /* Disables all click/hover events */
      cursor: default;       /* Removes the pointer finger cursor */
      color: gray;          /* Optional visual cue */
      text-decoration: none;
    }